OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve Class Reference

`#include <PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve.hxx>`

Inheritance diagram for PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve:

[legend]

## Public Member Functions
Standard_EXPORT | PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve ()
Standard_EXPORT | PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve (const Handle(PGeom2d_BezierCurve)&aValue)
Standard_EXPORT void | SetValue (const Handle(PGeom2d_BezierCurve)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom2d_BezierCurve) _CSFDB_GetPColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurvemyValue() const
void | _CSFDB_SetPColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurvemyValue (const Handle(PGeom2d_BezierCurve)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PGeom2d_BezierCurve | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve | ( |  | ) |

Standard_EXPORT PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve | ( | const Handle(PGeom2d_BezierCurve)& | aValue | ) |

PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::_CSFDB_SetPColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurvemyValue | ( | const Handle(PGeom2d_BezierCurve)& | p | ) | `[inline]`

Standard_EXPORT const PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::Handle | ( | PGeom2d_BezierCurve |  | ) | const`[inline]`

Standard_EXPORT void PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::SetValue | ( | const Handle(PGeom2d_BezierCurve)& | aValue | ) |

Standard_EXPORT Standard_Address PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom2d_BezierCurve PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom2d_VArrayNodeOfFieldOfHArray1OfBezierCurve.hxx